Method: remediationActions.list

Full name: projects.locations.instances.remediationPlans.remediationActions.list

Lists Remediation Actions under a plan.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/remediationActions

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. Target plan's resource name.

Query parameters

Parameters
pageSize

integer

Optional. Page size.

pageToken

string

Optional. Page token.

filter

string

Optional. Item filter.

orderBy

string

Optional. Sorting order.

Request body

The request body must be empty.

Response body

Response payload for remediationActions.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "remediationActions": [
    {
      object (RemediationAction)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
remediationActions[]

object (RemediationAction)

Retrieved list of actions.

nextPageToken

string

Token for fetching the next page.

totalSize

integer

Overall total size of target actions.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.